Name:			performous
Release:		%mkrel 1
Version:		0.6.1
Group:			Games/Other
Summary:		Performous - A cross-platform clone of the Playstation 2 game Singstar
License:		GPL
URL:			http://performous.org/index.html
Source:			Performous-%{version}-Source.tar.xz
Source1:		Jamelia-Demo.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	libglew-devel
BuildRequires:	imagemagick-devel
BuildRequires:	libSDL-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	libboost-devel
BuildRequires:	libjpeg62-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg2-devel
BuildRequires:	libglibmm2.4-devel
BuildRequires:	libportaudio2-devel
BuildRequires:	libportmidi0-devel
BuildRequires:	libxml++2.6-devel
BuildRequires:	cmake
BuildRequires:	ImageMagick
BuildRequires:	help2man
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
Performous - new Sing Screen using themed lyrics.

Performous is a free cross-platform clone of the Playstation 2
game Singstar.

While Performous might be classified as a karaoke program, it is
actually much more than that. Instead of just displaying the lyrics,
notes are also displayed and the performance is scored based on how
well you actually hit the notes. Unlike in many other games in this
genre, you will also see the pitch that you are singing, so that you
can see what you are doing wrong and easily (well, everything is
relative) correct your pitch.

Most of the songs available also contain the original vocals and actual
karaoke versions are rare.

Features
* Should work on almost any platform
* Very accurate singing pitch detection
* OpenGL-based graphics rendering
* Music videos as backgrounds
* Free software, licensed under GNU GPL version 2 or later

Note:
start it firsttime with performous --help to get the options!

%prep
%setup -qn Performous-%{version}-Source -a1 

%build
export CXXFLAGS="%optflags -DBOOST_FILESYSTEM_VERSION=2"
%cmake
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# demo song
%__install -dm 755 "%{buildroot}%{_datadir}/games/ultrastar/songs/Jamelia Superstar"
%__install -m 644 "Jamelia Superstar"/* \
	"%{buildroot}%{_datadir}/games/ultrastar/songs/Jamelia Superstar"


# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
convert %{buildroot}%{_datadir}/pixmaps/performous.xpm -resize 48x48! \
	%{buildroot}%{_datadir}/pixmaps/performous.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang Performous

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Performous.lang
%defattr(-,root,root)
%doc docs/*
%{_bindir}/ss*
%{_bindir}/gh*
%{_bindir}/itg_pck
%{_bindir}/performous
%{_datadir}/games/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_mandir}/man6/performous.6*

%changelog
* Tue May 03 2011 MBantz <martin dot bantz at gmail dot com> 0.6.1
- Adapted to PCLinuxOS from fwang at mandriva dot org

